package com.th.demo.mapping.develop;

import com.th.demo.model.develop.DevTableProperty;
import com.th.demo.model.system.SysDic;

import java.util.List;

public interface DevTablePropertyMapper {
    int deleteByPrimaryKey(String id);

    int insert(DevTableProperty record);

    int insertSelective(DevTableProperty record);

    DevTableProperty selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(DevTableProperty record);

    int updateByPrimaryKey(DevTableProperty record);

    List<DevTableProperty> selectByBussinessName(String bussinessName);

    int deleteByUpdate9(DevTableProperty devTableProperty);

    List<DevTableProperty> select(String tableLabel);

    List<DevTableProperty> selectForGenerateVueForm(String dbTableName);

    List<DevTableProperty> selectByTableName(String processDefkey);

    int deleteByTableName(String tableName);
}